Get All Readings For Custom Meter For Timeframe
curl --request POST \
--url https://realtime.replace-me.example.com/meterreadings/summary/timeframe \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"meterId": 1,
"startDate": "2015-01-01T05:00:00.000+00:00",
"endDate": "2020-07-31T04:00:00.000+00:00"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
meterId: 1,
startDate: '2015-01-01T05:00:00.000+00:00',
endDate: '2020-07-31T04:00:00.000+00:00'
})
};
fetch('https://realtime.replace-me.example.com/meterreadings/summary/timeframe', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://realtime.replace-me.example.com/meterreadings/summary/timeframe"
payload = {
"meterId": 1,
"startDate": "2015-01-01T05:00:00.000+00:00",
"endDate": "2020-07-31T04:00:00.000+00:00"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)RealTime API - Meter Readings
Get All Readings For Custom Meter For Timeframe
A POST request will find all meter readings for the custom meter and specified time interval.
POST
/
meterreadings
/
summary
/
timeframe
Get All Readings For Custom Meter For Timeframe
curl --request POST \
--url https://realtime.replace-me.example.com/meterreadings/summary/timeframe \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"meterId": 1,
"startDate": "2015-01-01T05:00:00.000+00:00",
"endDate": "2020-07-31T04:00:00.000+00:00"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
meterId: 1,
startDate: '2015-01-01T05:00:00.000+00:00',
endDate: '2020-07-31T04:00:00.000+00:00'
})
};
fetch('https://realtime.replace-me.example.com/meterreadings/summary/timeframe', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://realtime.replace-me.example.com/meterreadings/summary/timeframe"
payload = {
"meterId": 1,
"startDate": "2015-01-01T05:00:00.000+00:00",
"endDate": "2020-07-31T04:00:00.000+00:00"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)
